#!/bin/sh

#
# Copyright (c) 2018 Cumulus Networks, Inc.  All rights reserved.
#

# Set the correct modes for all front panel ports

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

log_action_msg "  Initializing QSFP28s..."

# Disable lpmode to all the QSFP28 ports
echo 0x0 > /sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-10/10-0038/qsfp28_1_16_lpmode
echo 0x0 > /sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-11/11-0038/qsfp28_17_32_lpmode

# Reset all the QSFP28 ports
echo 0xffff > /sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-10/10-0038/qsfp28_1_16_reset
echo 0xffff > /sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-11/11-0038/qsfp28_17_32_reset
sleep .1
echo 0x0 > /sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-10/10-0038/qsfp28_1_16_reset
echo 0x0 > /sys/devices/pci0000:00/0000:00:1f.3/i2c-0/i2c-11/11-0038/qsfp28_17_32_reset

